// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

// INCLUDES
#include <eikstart.h>

#include "MidiPlayingExternalInterface.h"
#include "MidiPlayingApplication.h"
#include "MidiPlayingDocument.h"

// MEMBER FUNCTIONS

TUid CMidiPlayingApplication::AppDllUid() const
	{
	return KUidMidiPlayingApp;
	}

CApaDocument* CMidiPlayingApplication::CreateDocumentL()
	{
	return CMidiPlayingDocument::NewL(*this);
	}

CApaApplication* NewApplication()
	{
	return new CMidiPlayingApplication();
	}

GLDEF_C TInt E32Main()
	{
	return EikStart::RunApplication(NewApplication);
	}
	
// End of File
